/******************************************************************************
 Web Notification Service (WNS): An open interface for a service
 by which a client may conduct asynchronous dialogues
 (message interchanges) with one or more other services.
 *******************************************************************************/
package org.n52.wns.communication;

/**
 * @author Dennis Dahlmann
 * @version 1.0
 */

import net.opengis.wns.DoCommunicationDocument;
import net.opengis.wns.DoNotificationDocument;

import org.n52.wns.WNSException;
import org.n52.wns.WNSServiceException;
import org.x52North.wns.WNSConfigDocument;

public interface FaxHandler {

	/**
	 * sets the configuration properties of the Fax handler
	 * 
	 * @param e
	 *            org.jdom.Element containing all config information
	 * @throws WNSException
	 */
	public void setProperties(
			WNSConfigDocument.WNSConfig.RegisteredHandlers.FaxHandler faxHandler,
			String wns) throws WNSServiceException;

	/**
	 * sends a Notification message using a Fax handler
	 * 
	 * @param user
	 *            recipient of the message
	 * @param message
	 *            message to be sent
	 * @throws WNSException
	 */
	public void sendNotificationMessage(DoNotificationDocument dnd,
			String[] targets, String messageID) throws WNSServiceException;

	/**
	 * sends a Communication message using a Fax handler
	 * 
	 * @param user
	 *            recipient of the message
	 * @param message
	 *            message to be sent
	 * @throws WNSException
	 */
	public void sendCommunicationMessage(DoCommunicationDocument dcd,
			String[] targets, String messageID) throws WNSServiceException;
}
