/******************************************************************************
 Web Notification Service (WNS): An open interface for a service
 by which a client may conduct asynchronous dialogues
 (message interchanges) with one or more other services.
 *******************************************************************************/

package org.n52.wns.communication;

import org.n52.wns.WNSServiceException;

/**
 * @author Dennis Dahlmann
 * @version 1.0
 */
public class PhoneHandlerFactory {
	/**
	 * creates a new SMHandler depending on the configFile
	 */
	public static PhoneHandler getInstance(
			org.x52North.wns.WNSConfigDocument.WNSConfig.RegisteredHandlers.PhoneHandler phoneHandler,
			String wns) {
		PhoneHandler phone = null;
		try {
			phone = (PhoneHandler) Class.forName(phoneHandler.getProvider())
					.newInstance();
			phone.setProperties(phoneHandler, wns);
		} catch (InstantiationException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (IllegalAccessException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (ClassNotFoundException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (WNSServiceException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

		return phone;
	}
}
