/******************************************************************************
 Web Notification Service (WNS): An open interface for a service
 by which a client may conduct asynchronous dialogues
 (message interchanges) with one or more other services.

 *******************************************************************************/

package org.n52.wns.communication;

/**
 * @author Dennis Dahlmann
 * @version 1.0
 */
public class PhoneNumber {

	/**
	 * Method to convert to an international phonenumber
	 * 
	 * @param msisdn
	 *            The phonenumber to convert
	 * @return
	 */
	public static String convertToInternationalFormat(String msisdn) {
		// check beginning
		String number = msisdn.trim();
		if (!number.startsWith("00") && !number.startsWith("+")) {
			number = "+" + number;
		}

		// remove all illegal characters
		StringBuffer buffer = new StringBuffer(number);
		int i = -1;

		while ((i = buffer.indexOf("(0)")) != -1) {
			buffer.deleteCharAt(i);
			buffer.deleteCharAt(i);
			buffer.deleteCharAt(i);
		}
		while ((i = buffer.indexOf("(")) != -1) {
			buffer.deleteCharAt(i);
		}
		while ((i = buffer.indexOf(")")) != -1) {
			buffer.deleteCharAt(i);
		}
		while ((i = buffer.indexOf("-")) != -1) {
			buffer.deleteCharAt(i);
		}
		while ((i = buffer.indexOf("/")) != -1) {
			buffer = buffer.deleteCharAt(i);
		}
		while ((i = buffer.indexOf(" ")) != -1) {
			buffer = buffer.deleteCharAt(i);
		}
		while ((i = buffer.indexOf(".")) != -1) {
			buffer = buffer.deleteCharAt(i);
		}

		return buffer.toString();
	}
}
