/******************************************************************************
 Web Notification Service (WNS): An open interface for a service
 by which a client may conduct asynchronous dialogues
 (message interchanges) with one or more other services.
 *******************************************************************************/
package org.n52.wns.db;

import org.n52.wns.WNSException;
import org.x52North.wns.WNSUserDocument;

/**
 * @author Johannes Echterhoff
 * @version 1.0
 * 
 */
public interface UserDAO {

	/**
	 * Returns the user document of the WNS.
	 * 
	 * @return The user document of the WNS.
	 * 
	 * @throws WNSException
	 *             If the user document could not be retrieved.
	 */
	WNSUserDocument getUserDocument() throws WNSException;

	/**
	 * Persists the given user document.
	 * 
	 * @param wnsud
	 *            The document to save.
	 * 
	 * @throws WNSException
	 *             If the document could not be persisted.
	 */
	void storeWNSUserDocument(WNSUserDocument wnsud) throws WNSException;
}
