/******************************************************************************
 Web Notification Service (WNS): An open interface for a service
 by which a client may conduct asynchronous dialogues
 (message interchanges) with one or more other services.
 *******************************************************************************/

package org.n52.wns.sms;

/**
 * @author Dennis Dahlmann
 * @version 1.0
 */

import net.opengis.wns.DoCommunicationDocument;
import net.opengis.wns.DoNotificationDocument;

import org.n52.wns.WNSException;
import org.n52.wns.WNSServiceException;

public interface SMSHandler {

	/**
	 * Sets the properties for the SMSHandler
	 */
	public void setProperties(
			org.x52North.wns.WNSConfigDocument.WNSConfig.RegisteredHandlers.SMSHandler shd,
			String wns) throws WNSServiceException;

	/**
	 * Sends an Notification message
	 * 
	 * @param user
	 *            The WNSUser to send the message to
	 * @param message
	 *            The WNSMessage
	 * @throws WNSException
	 */
	public void sendNotificationMessage(DoNotificationDocument dnd,
			String[] targets, String messageID) throws WNSServiceException;

	/**
	 * Sends a Communication message
	 * 
	 * @param user
	 *            The WNSUser to send the message to
	 * @param message
	 *            The WNSMessage
	 * @param cor
	 *            The CorrID related to the message
	 * @throws WNSException
	 */
	public void sendCommunicationMessage(DoCommunicationDocument dcd,
			String[] targets, String messageID) throws WNSServiceException;
}
