/******************************************************************************
 Web Notification Service (WNS): An open interface for a service
 by which a client may conduct asynchronous dialogues
 (message interchanges) with one or more other services.
 *******************************************************************************/

package org.n52.wns.sms;

import org.n52.wns.WNSServiceException;

/**
 * @author Dennis Dahlmann
 * @version 1.0
 */
public class SMSHandlerFactory {

	public static SMSHandler getInstance(
			org.x52North.wns.WNSConfigDocument.WNSConfig.RegisteredHandlers.SMSHandler handler,
			String wns) {
		SMSHandler sms;
		try {
			sms = (SMSHandler) Class.forName(handler.getProvider())
					.newInstance();
			sms.setProperties(handler, wns);
			return sms;
		} catch (InstantiationException e1) {

		} catch (IllegalAccessException e1) {

		} catch (ClassNotFoundException e1) {

		} catch (WNSServiceException e) {

		}
		return null;
	}
}
