/******************************************************************************
 Web Notification Service (WNS): An open interface for a service
 by which a client may conduct asynchronous dialogues
 (message interchanges) with one or more other services.
 *******************************************************************************/

package org.n52.wns.xmpp;

import net.opengis.wns.DoCommunicationDocument;
import net.opengis.wns.DoNotificationDocument;

import org.n52.wns.WNSServiceException;
import org.x52North.wns.WNSConfigDocument;

/**
 * @author Dennis Dahlmann
 * @version 1.0
 */
public interface XMPPHandler {

	/**
	 * load the configuration parameters
	 */
	public abstract void setProperties(
			WNSConfigDocument.WNSConfig.RegisteredHandlers.XMPPHandler xmppHandler)
			throws WNSServiceException;

	/**
	 * does not wait until the message is replied
	 */
	public abstract boolean isConnected();

	/**
	 * sends a private message to the server. This method is used mostly for
	 * debugging;the caller does not wait until the message is replied
	 * 
	 * @param String
	 *            recipient of the message
	 * @param String
	 *            message to be sent
	 */
	public abstract void sendNotificationMessage(DoNotificationDocument dnd,
			String[] targets) throws WNSServiceException;

	/**
	 * sends a instant message to the WNSUser
	 * 
	 * @param WNSUser
	 *            user to send the IM to
	 * @param WNSMessage
	 *            message to be sent
	 */
	public abstract void sendCommunicationMessage(DoCommunicationDocument dcd,
			String[] targets) throws WNSServiceException;
}